require 'swagger/blocks'

module Devops
  module API3
    module Docs
      class ServerModel

        include Swagger::Blocks

        swagger_schema :ServerObject do
          property :id do
            key :type, :string
          end
          property :name do
            key :type, :string
          end
          property :cm_name do
            key :type, :string
          end
          property :remote_user do
            key :type, :string
          end
          property :project do
            key :type, :string
          end
          property :environment do
            key :type, :string
          end
          property :category do
            key :type, :string
          end
          property :private_ip do
            key :type, :string
          end
          property :public_ip do
            key :type, :string
          end
          property :created_by do
            key :type, :string
          end
          property :reserved_by do
            key :type, :string
          end
          property :stack do
            key :type, :string
          end
          property :run_list do
            key :type, :array
            items do
              key :type, :string
            end
          end
          property :ssh_key do
            key :type, :string
          end
          property :last_operation do
            key :'$ref', :ServerLastOperationObject
          end

        end

      end
    end
  end
end
